Bug 109858 - FILEOPEN:Importer correctly reads but does not apply pie label settings of XLSX and DOCX
Summary: FILEOPEN:Importer correctly reads but does not apply pie label settings of XL...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All All
: medium normal
Assignee: Dennis Francis
QA Contact:
URL:
Whiteboard: target:6.0.0 target:5.4.1
Keywords: filter:xlsx
Depends on:
Blocks:
 
Reported: 2017-07-28 18:55 UTC by Luke
Modified: 2017-08-11 22:24 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample XLSX Pie Chart with Labels Outside (15.11 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2017-07-28 18:55 UTC, Luke
Details
comparison MSO 2010 and LibreOffice 6.0 (85.99 KB, image/png)
2017-07-31 23:15 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2017-07-28 18:55:20 UTC
Created attachment 134951 [details]
Sample XLSX Pie Chart with Labels Outside

This is the XLSX / DOCX version of the .XLS importer Bug 90510. 

Steps to reproduce:
1. Open PiechartOutside.xlsx in OpenOffice or Excel
2. Open PiechartOutside.xlsx in LibreOffice Calc
3. Compare

NOTE: In LO calc, Dbl click on chart -> right click on the label-> Format Data Labels -> Data labels
The setting are correct, Placement=Outside. Clicking OK will cause Calc to correctly redraw the chart. Not sure if this ever worked as the regression that broke xlx happened before we supported xlsx.
Comment 1 Xisco Faulí 2017-07-31 23:15:28 UTC
Confirmed in

Version: 6.0.0.0.alpha0+
Build ID: e0b6a4a2d2dec4e9614f27fc03f84b1c578028ec
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 2 Xisco Faulí 2017-07-31 23:15:50 UTC
Created attachment 135033 [details]
comparison MSO 2010 and LibreOffice 6.0
Comment 3 Commit Notification 2017-08-08 06:32:34 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=70944a849dc59fa686e3f316a3983dbc8a47017f

tdf#109858: Override default point label placement setting...

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-08-09 14:05:14 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=29594a1c9f9dd440c1012732d9e713f6e3db0838&h=libreoffice-5-4

tdf#109858: Override default point label placement setting...

It will be available in 5.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Luke 2017-08-11 22:24:23 UTC
Verified FIXED in Version: 6.0.0.0.alpha0+
Build ID: 63767e542b91c8bb8d6347e46f2c52cc8bd2dc86


Thanks Dennis Francis!